<?php
namespace Ak\Mail\Transport;

use Interop\Container\ContainerInterface;
use Laminas\Mail\Transport\File;
use Laminas\Mail\Transport\FileOptions;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Stvara novu instancu file transporta.
 *
 * @package Ak\Mail\Transport
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mail
 */
final class FileFactory implements FactoryInterface
{
    /**
     * Stvara transport.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return File
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null): File
    {
        $options = new FileOptions($options ?? []);
        return new File($options);
    }
}
