<?php
namespace Ak\Mail\Transport;

use Laminas\Mail\Transport\Smtp;
use Laminas\Mail\Transport\SmtpOptions;

/**
 * Šalje e-mail poruke putem Sendgrida.
 *
 * @package Ak\Mail\Transport
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mail
 */
final class Sendgrid extends Smtp
{
    /**
     * Konstruktor.
     *
     * @param string $apiKey
     */
    public function __construct(string $apiKey)
    {
        $options = new SmtpOptions([
            'name' => 'smtp.sendgrid.net',
            'host' => 'smtp.sendgrid.net',
            'port' => 25,
            'connection_class' => 'login',
            'connection_config' => [
                'username' => 'apikey',
                'password' => $apiKey,
            ],
        ]);

        parent::__construct($options);
    }
}
