<?php
namespace Ak\Mail\Transport;

use Interop\Container\ContainerInterface;
use Laminas\Mail\Transport\Smtp;
use Laminas\Mail\Transport\SmtpOptions;
use Laminas\ServiceManager\Factory\FactoryInterface;

/**
 * Class SmtpFactory
 *
 * @package Ak\Mail\Transport
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/mail
 */
final class SmtpFactory implements FactoryInterface
{
    /**
     * Create an object
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return Smtp
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null): Smtp
    {
        $options = new SmtpOptions($options ?? []);
        return new Smtp($options);
    }
}
