<?php
namespace AkTest\Mail;

use Ak\Mail\ConfigProvider;
use Laminas\ConfigAggregator\ArrayProvider;
use Laminas\ConfigAggregator\ConfigAggregator;

/**
 * Class TestConfigProvider
 *
 * @package AkTest\Mail
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/mail
 */
final class TestConfigProvider
{
    const SEND_EMAILS = false;

    /**
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            ConfigProvider::class,
            new ArrayProvider([
                'sendgrid' => [
                    'api_key' => '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',
                ],

                'mail' => [
                    'transports' => [
                        'sendgrid' => [
                            'name' => 'sendgrid',
                        ],
                    ],
                ],
            ]),
        ]))->getMergedConfig();
    }
}
